Bug 456771 - Mail loss can occur after move/refile if remote server goes offline
Mail loss can occur after move/refile if remote server goes offline
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 18:18 EDT by Christopher Beland
Modified: 2008-08-07 10:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 10:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 349870 None None None Never

  None (edit)
Description Christopher Beland 2008-07-26 18:18:00 EDT
My e-mail arrives into a local Evolution folder called "Inbox".  As I read and
deal with messages, I refile them to folders remotely stored on an IMAP server.

Yesterday, the IMAP server went down when its power supply blew.  I continued
refiling e-mails, not really noticing that there were errors showing up at the
bottom of the screen.  Evolution continued deleting emails from my inbox, even
though it was aware that the moved copy was not being created on the IMAP server.

In this situation, Evolution should retain the copy in the original folder (in
this case, my inbox) without marking it as deleted.  This would make the "move"
operation transaction-safe.  If I had expunged my inbox before noticing that the
IMAP server was down, I would have lost these e-mail permanently.  

As it stands, I have to figure out which deleted emails have been successfully
moved, and to which folders, and which I need to undelete and move.  This is
rather annoying.  If the messages had stayed in my inbox, it would have been a
clearer and more immediate indication that the move operation had failed.  A
pop-up dialog box clearly stating that the move operation had failed would also
have been appropriate.
Comment 1 Christopher Beland 2008-07-26 18:18:26 EDT
This is with evolution-2.22.3.1-1.fc9.i386.
Comment 2 Milan Crha 2008-07-28 03:17:33 EDT
I guess the patch from upstream bug [1] would help here, though committed to the
development branch only. Either this will help, or something very similar to this.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=349870
Comment 3 Milan Crha 2008-08-07 10:11:37 EDT
I checked the IMAP code and I'm confident of the patch in the upstream bug that I'll mark this as upstream. The fix will be available in 2.24 stable release.

Note You need to log in before you can comment on or make changes to this bug.